Skip to main content

Delete Association

DELETE 

/client/users/:correlation_id/associations/types/:associationType/values/:associationValue

This request is used to delete existing account association.

Request

The request has no Body. Path variables are used instead to identify the account association to be deleted.

Path Variables

Path VariableDefinitionFormatNotes
associationTypeProvides type of associationStringMandatory attribute.
associationValueProvides value for associationStringMandatory attribute.

URI without path variables filled in:

{{env_host}}/client/users/{{correlation_id}}/associations/types/{{associationType}}/values/{{associationValue}}

URI with path variable values filled in (example):

{{env_host}}/client/users/{{correlation_id}}/associations/types/BILL_TO/values/Akron

Response

When sending both valid associationType and associationValue as path parameters, a statusCode 204 is returned with no response body.

Error Responses

statusCodeerrorMessageerrorCodeDefinition
400 Bad RequestAccount Association feature is not supported.INVALID_REQUESTA valid request to created association but the feature is disabled.
400 Bad RequestSHIP_TO association type is not valid.INVALID_REQUESTA request with associationType that is not configured in system.
400 Bad RequestAssociation already exists.INVALID_REQUESTA valid request to add more than one association which is invalid.

Request

Responses

200 - Delete Account Association